---
search:
  tags:
    - Translations V2
    - PATCH
seo:
  description: >-
    Bulk-updates translations by id. Successful entities… Reference for the
    PATCH /api/v2/{team_slug}/{app_slug}/translations endpoint in the Management
    API v2.
sidebar:
  label: Update translations
  badge: PATCH
title: Update translations
type: openapi-operation
---
Bulk-updates translations by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/translations`

**Request body** (`application/json`, required)

- `translations` (PatchTranslationItem[], required)

Request body example:

```json
{
  "translations": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "ref_id": "58ed4a6c-926f-4b2f-b688-ecd86db2ed34",
      "parent_type": "product",
      "field": "string",
      "locale": "string",
      "value": "string",
      "create_slug": true
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "ref_id": "58ed4a6c-926f-4b2f-b688-ecd86db2ed34",
      "parent_type": "string",
      "field": "string",
      "locale": "string",
      "value": "string"
    }
  ],
  "errors": [
    {
      "ref_id": "58ed4a6c-926f-4b2f-b688-ecd86db2ed34",
      "locale": "string",
      "field": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
